# Referencing Drupal data

To leverage the full power of Drupal with RJSF this module provides several submodules to cover the most common use cases of needing to get data out of Drupal. When enabled these modules provide RJSF fields/widgets that integrate into Drupal via api to provide similar(or improved) functionality to what is avialble via Drupal FieldAPI. These custom form components leverage [Module Federation](https://module-federation.github.io/) to that allows for integrating custom widgets into the editing experience, to learn how to create your own custom widgets see [Creating your own RJSF Elements](#Creating-Your-Own-RJSF-Elements) below.
